public class point
{   protected double x, y;

    public point(double a, double b)
    {enterpoint(a,b);}
    
    public point(point A)
    {enterpoint(A.readX(),A.readY());}

    public void enterpoint(double a, double b)
    { x=a;y=b;}

    public double readX()
    {return x;}

    public double readY()
    {return y;}

    public String toString()
    {return "["+x+","+y+"]";}
    
    public String name(){return "point";}
}
